<?php
ob_start(); // Start reading html

include "script/db.php";

include "assets/scripts/globals.php";


// on vérifie l'envoi d'une réponse
if(isset($_POST["team"])){
	$req = $db->prepare("SELECT * FROM mots_croise WHERE name=? AND id=? AND trouve=?");
	$req->execute(array(htmlspecialchars($_POST["mot"]),(int) $_POST["id_mot"],FALSE));
	$mot_exist = $req->rowCount();

	if($mot_exist == 1) {
		if(!empty($_POST['team'])) {
	
			$team = htmlspecialchars($_POST['team']);
			if($team == $TEAM1) {
				$team = 0;
			} elseif($team == $TEAM2) {
				$team = 1;
			} else {
				header('Refresh: 0');
			}
	
			//ajoute des points au score général
			$req = $db->prepare("INSERT INTO scores(texte, points, team, id_staff) VALUES(?, ?, ?, ?)");
			$req->execute(array("Mots croises","500", $team, 0));

			// maj la valeur de trouve a TRUE
			$req = $db->prepare("UPDATE mots_croise SET trouve=? WHERE name=?");
			$req->execute(array(TRUE,htmlspecialchars($_POST["mot"])));
	
			?><script type="text/javascript">alert("Félicitation, vous avez fait gagner 500 points à votre équipe !!");</script><?php
		}

		
	}else{

		// on teste quand meme si le mot a ete trouve pour afficher un message contextuel
		$req = $db->prepare("SELECT * FROM mots_croise WHERE name=? AND id=? AND trouve=?");
		$req->execute(array(htmlspecialchars($_POST["mot"]),(int) $_POST["id_mot"],TRUE));
		$mot_exist = $req->rowCount();

		if($mot_exist == 1){
			?><script type="text/javascript">alert("Bonne réponse.. Mais quelqu'un l'a déjà trouvé avant ;)");</script><?php
		}else{
			?><script type="text/javascript">alert("Mauvaise réponse ! (Mouahahaha :D)");</script><?php
		}


	}
}


?>
<main>
	
	<!-- 



	-->

	<br>
	<?php

// check si tout les mots ont été trouvés ou non. (toutes equipes confondues)
$req = $db->prepare("SELECT * FROM mots_croise WHERE trouve=?");
$req->execute(array(htmlspecialchars(FALSE)));

if($req->rowCount() == 0){

	?>
		<div class="zone_txt">

			<h1>Pas assez rapide ! Tout les mots ont été trouvés !<h1>
		</div>
	<?php
}
?>

	<!--

                _____
             ,-"     "-.
            / o       o \
           /   \     /   \
          /     )-"-(     \
         /     ( 6 6 )     \
        /       \ " /       \
       /         )=(         \
      /   o   .--"-"--.   o   \
     /    I  /  -   -  \  I    \
 .--(    (_}y/\       /\y{_)    )--.
(    ".___l\/__\_____/__\/l___,"    )
 \                                 /
  "-._      o O o O o O o      _,-"
      `--Y--.___________.--Y--'
         |==.___________.==| hjw
         `==.___________.=='


		"MIAOU MIAOU" - Kaaris, 2021


		Un grand merci à vectorizer.ai pour avoir trasnformé un vieux screenshot en svg
		mais putain je vous en supplie les devs mettez un mode sans fond j'ai perdu 10 points
		de QI à enlever le blanc à l'intérieur des lettres --'
	-->
	<div class="zone_txt">
		<img src="assets/img/mots_croises.svg" class="mot_croise">
	</div>
	<div class="zone_txt">
		<form method="POST">
		

			<br>
				<select name="team" class="input" required>
					<option value="">Choisissez votre équipe</option>
		    		<option value="<?=$TEAM1?>"><?=$TEAM1?></option>
		    		<option value="<?=$TEAM2?>"><?=$TEAM2?></option>
				</select>

			<br>
			<input type="number" id="id_mot" name="id_mot" class="numeric-input" required>
			<label for="id_mot">Numéro du mot</label>
			<br>
			<input type="text" placeholder="réponse" name="mot" class="input" required>
			<br><br>
			<input type="submit" name="send" value="Envoyer" class="submit">
		</form>
		NB : Des indices se cachent peut-être (ou peut être pas :D) sur le site, CTR+U pourrais devenir ton meilleur ami.
	</div>

</main>
<?php
$infopage = ["", "Cahier de vacances", ob_get_clean(), "", "vacances","Mots croisés pour vous occuper pendant les vacances"]; //relativepath, pagetitle, pagecontent, pagescript | cf structure/template.php ligne 2 à 6
include("structure/template.php");
?>
